@ECHO OFF
REM $Id: build.bat,v 1.29.2.2.2.2 2006/01/23 21:40:31 mw Exp $
REM FreeXP "make" Batchdatei: Kompiliert alle fr FreeXP relevanten
REM Programme und Ressourcen

REM Umgebungsvariablen setzen (%COMP% ggf. an eigenen Pfad anpassen!)
SET TARGET=.\BUILD\DOS16\XPDIR
SET COMP=C:\PROGRA~1\BP\BIN\BPC -CD -B -E%TARGET%
SET TOUCH=TOUCH.EXE
SET IHS=IHS
SET RC=RC
SET DOCFORM=DOCFORM

REM Erstmal Verzeichnisse anlegen und zurck ins Source-Directory
MD XPDIR
CD XPDIR
MD DOC
MD BEISPIEL
MD SAMPLES
CD ..
CD ..
CD ..

REM Hilfsprogramme compilieren
%COMP% GENDATE
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% IHS
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% RC
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% DOCFORM
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% TOUCH

REM Hilfsprogramme verschieben
MOVE BUILD\DOS16\XPDIR\GENDATE.EXE GENDATE.EXE
MOVE BUILD\DOS16\XPDIR\IHS.EXE DOC\IHS.EXE
MOVE BUILD\DOS16\XPDIR\DOCFORM.EXE DOC\DOCFORM.EXE
MOVE BUILD\DOS16\XPDIR\RC.EXE RC.EXE

REM Standard-COMPDATE sichern
IF EXIST compdate.pas IF NOT EXIST compdate.pa$ REN compdate.pas compdate.pa$

REM Neue COMPDATE erzeugen
GENDATE.EXE
DEL GENDATE.EXE

REM Alles compilieren
%COMP% AVSCAN
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% MAGGI
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% NDIFF
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% PMCONV
IF ERRORLEVEL 1 GOTO FEHLER
REM %COMP% SCRIPTS
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% UUCICO
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% UUCP-FL1
IF ERRORLEVEL 1 GOTO FEHLER
REM %COMP% UUZ
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% XP
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% XP-FM
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% XPME
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% YUP2PKT
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% ZFIDO
IF ERRORLEVEL 1 GOTO FEHLER
%COMP% ZPR
IF ERRORLEVEL 1 GOTO FEHLER

%RC% XP-D
IF ERRORLEVEL 1 GOTO FEHLER
%RC% XP-E
IF ERRORLEVEL 1 GOTO FEHLER
%RC% XPFM-D
IF ERRORLEVEL 1 GOTO FEHLER
%RC% XPFM-E
IF ERRORLEVEL 1 GOTO FEHLER
%RC% XPUU-D
IF ERRORLEVEL 1 GOTO FEHLER
%RC% XPUU-E
IF ERRORLEVEL 1 GOTO FEHLER
CD DOC
%IHS% XP
IF ERRORLEVEL 1 GOTO FEHLER
%IHS% XP-E
IF ERRORLEVEL 1 GOTO FEHLER
%DOCFORM% xpoint.dq xpoint.txt 71 3 -p -x
IF ERRORLEVEL 1 GOTO FEHLER
%DOCFORM% fido.dq fido.txt 71 3 -p -tI\Grundlagen -kFido
IF ERRORLEVEL 1 GOTO FEHLER
%DOCFORM% uucp.dq uucp.txt 71 3 -p -tI\Grundlagen -kUUCP
IF ERRORLEVEL 1 GOTO FEHLER
%DOCFORM% xpme.dq xpme.txt 71 3 -p -t### -kXPME
IF ERRORLEVEL 1 GOTO FEHLER
%DOCFORM% zpr.dq zpr.txt 71 3 -p -t### -kZPR
IF ERRORLEVEL 1 GOTO FEHLER
%DOCFORM% snapshot.dq snapshot.txt 71 3 -p -t### -kSnapshot
IF ERRORLEVEL 1 GOTO FEHLER

REM Hilfsprogramme entfernen
DEL IHS.EXE
DEL DOCFORM.EXE

REM Hilfedateien verschieben
MOVE *.HLP ..\BUILD\DOS16\XPDIR

REM BP-Unitdateien von FreeXP entfernen
CD ..
CD BUILD
CD DOS16
CD XPDIR
DEL *.TPU
CD ..
CD ..
CD ..

REM Ressourcen-Compiler entfernen
DEL RC.EXE

REM Ressourcen verschieben
MOVE *.RES BUILD\DOS16\XPDIR

REM Dokumentation kopieren
COPY DOC\*.DOC BUILD\DOS16\XPDIR\DOC
COPY DOC\COPYING BUILD\DOS16\XPDIR\DOC
COPY DOC\FXP_EN.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\FXP_EN.HTML BUILD\DOS16\XPDIR\DOC
COPY DOC\README.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\SLIZENZ.TXT BUILD\DOS16\XPDIR\DOC
MOVE DOC\SNAPSHOT.TXT BUILD\DOS16\XPDIR\DOC\FXP340.TXT
COPY DOC\UUZ_ENH.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\UKAWP.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\UPDATE.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\ZM.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\VERSION.TXT BUILD\DOS16\XPDIR\DOC
COPY DOC\VERSIONS.FAQ BUILD\DOS16\XPDIR\DOC
MOVE DOC\XPOINT.TXT BUILD\DOS16\XPDIR\DOC
MOVE DOC\UUCP.TXT BUILD\DOS16\XPDIR\DOC
MOVE DOC\FIDO.TXT BUILD\DOS16\XPDIR\DOC
MOVE DOC\XPME.TXT BUILD\DOS16\XPDIR\DOC
MOVE DOC\ZPR.TXT BUILD\DOS16\XPDIR\DOC

REM Beispieldateien kopieren
COPY BEISPIEL\*.* BUILD\DOS16\XPDIR\BEISPIEL
COPY SAMPLES\*.* BUILD\DOS16\XPDIR\SAMPLES
COPY BEISPIEL\*.scr BUILD\DOS16\XPDIR\SAMPLES
COPY BEISPIEL\*.dat BUILD\DOS16\XPDIR\SAMPLES
COPY BEISPIEL\*.cfg BUILD\DOS16\XPDIR\SAMPLES
COPY BEISPIEL\*.reg BUILD\DOS16\XPDIR\SAMPLES

REM Sonstiges
COPY FILE_ID.DIZ BUILD\DOS16\XPDIR
COPY Binaries\*.* BUILD\DOS16\XPDIR
COPY FIDO.PC BUILD\DOS16\XPDIR
COPY *.ICO BUILD\DOS16\XPDIR

REM Ab ins XPDIR
CD BUILD
CD DOS16
CD XPDIR

REM Overlay in die EXE einbauen
REM COPY /B XP.EXE+XP.OVR XP.IMG
REM DEL XP.EXE
REM DEL XP.OVR
REM REN XP.IMG XP.EXE

REM Bei Bedarf UPX aktivieren!!
REM UPX -9 *.EXE

REM Alles einmal touchen (mit MW-Touch)
%TOUCH% .\#\*.* /R=..\..\..\COMPDATE.PAS /G
CD ..
MD DISTRI
CD XPDIR

REM Zuletzt alle Archive erstellen ...
MOVE %TOUCH% ..\DISTRI
REM Distributionsarchiv
PKZIP -rP ..\DISTRI\FXP340.ZIP *.*
REM 2-Disketten-Distribution
PKZIP -rP ..\DISTRI\FXP340-1.ZIP @..\MDISK.LST
PKZIP -rP -x@..\MDISK.LST ..\DISTRI\FXP340-2.ZIP *.*
REM Update-Archiv
PKZIP -rP ..\DISTRI\FXP340UP.ZIP @..\..\UPDATE.LST
CD ..
CD ..
CD ..

REM Standard-COMPDATE zurckschreiben
IF NOT EXIST compdate.pa$ GOTO SRC_FULL
IF EXIST compdate.pas DEL compdate.pas
REN compdate.pa$ compdate.pas

:SRC_FULL
REM Source-Komplettarchiv
PKZIP -rP -x@BUILD\EXCLUDE.LST BUILD\DOS16\DISTRI\FXP340S.ZIP *.*
REM 2 Disketten Source
PKZIP -rP -x@BUILD\EXCLUDE.LST -x@BUILD\SDISK.LST BUILD\DOS16\DISTRI\FXP340S1.ZIP *.*
PKZIP -rP -x@BUILD\EXCLUDE.LST BUILD\DOS16\DISTRI\FXP340S2.ZIP @BUILD\SDISK.LST

REM Ein letzter Touch
CD BUILD
CD DOS16
CD DISTRI
%TOUCH% *.* /R=../XPDIR/XP.EXE /G
DEL %TOUCH%
CD ..
ECHO "Der Buildvorgang konnte fehlerfrei abgeschlossen werden."
GOTO ENDE
:FEHLER
ECHO "Es ist ein Fehler whrend des Buildvorganges aufgetretten."
:ENDE
